Content Filter API

Written information or narratives known as “articles” are intended to educate readers on particular subjects by offering insightful or interesting information in a condensed manner.

Note

If any of the mentioned endpoint is resulting in an error please refer to the Errors section.

Filter Content

This endpoint retrieves the articles from briefs (publicly available or entitled) that matches the query criteria.

Note

This API requires you to have a access token that should be obtained following Authorization Section. If not obtained please follow the Authorization section to correctly obtain one.

Warning

It is compulsory to have prefix Bearer on Authorization header.

Request

URL : article/filter

Method : POST

Example

curl --location 'https://platform-test.ranenetwork.com/public-api/v1/article/filter' \
--header 'Content-type: application/json' \
--header 'Authorization: Bearer <access_token>' \
--data '{
    "keyword_search":"<keyword_of_interest>",
    "brief_slug": ["<brief_1_slug>", "<brief_2_slug>"],
    "page":1,
    "size":1
}'

Request Formatter

  • access_token : The token received on prior iteration from Get Access Token section

  • keyword_search [type:str] (required) : keyword to be searched for

  • brief_slug [type:list] (optional) : specific brief that keyword should be searched at, if not provided will be searched on all entitled and public briefs

  • page [type:int] (optional) : current page that determines offset value of (page*size)

  • size [type:int] (optional) : size of matching document to be returned

Response

{
  "total": 600,
  "data": [
    {
      "category": "Cyber SecurityThreats + Breaches",
      "title": "Cyber Weekly",
      "source": [
        {
          "name": "The Guardian",
          "link": "https://example.com"
        }
      ],
      "snippet": "This could html tags on them. Example <bold>This should be bold.</bold>",
      "liked": null,
      "bookmarked": true,
      "share": "mailto:?subject=RANE%20Brief%3A%20California%20Case%20Could%20Deal%20Blow%20to%20High-Interest%20Online%20Lenders&body=California%20Case%20Could%20Deal%20Blow%20to%20High-Interest%20Online%20Lenders%0A%0A%3Cp%3EA%20California%20judge%20is%20poised%20to%20decide%20if%20an%20online%20lender%20offering%20small%20loans%20at%20over%20150%25%20interest%20violates%20state%20law%2C%20which%20would%20deal%20a%20blow%20to%20finance%20companies%20that%20critics%20argue%20have%20skirted%20rate%20caps%20to%20profit%20from%20cash-strapped%20borrowers.%20The%20California%20Department%20o%E2%80%A6%0A%0Ahttps%3A%2F%2Fwww.reuters.com%2Fbusiness%2Ffinance%2Fcalifornia-case-could-deal-blow-high-interest-online-lenders-2023-08-31%2F%0A%0A",
      "brief": {
        "name": "Cyber Weekly Brief",
        "date": "May 11 2023",
        "slug": "cyber-weekly-brief",
        "gid": "8-xxxx"
      }
    }
  ],
  "error": []
}

Response Formatter

  • bookmarked : A boolean value indicating whether or not user has bookmarked certain brief/article.

  • source : An object containing name of website and original link to which article was published

  • share : A mailto link that pushes snippet to mail

  • category : Represent category to which article was labeled for specific brief

  • total : Total number of matching objects